# Generated from ruby-miradore-2.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-miradore

Name: rubygem-%{gem_name}
Version: 2.0.3
Release: 1%{?dist}
Summary: Miradore is a MSP providing an API to get devices information as well s perform some security actions
License: MIT
URL: https://github.com/eddygarcas/ruby-miradore
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.3
BuildArch: noarch

%description
Miradore MSP Ruby Gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/fixtures
%{gem_libdir}
%{gem_instdir}/ruby-miradore-0.1.2.gem
%{gem_instdir}/ruby-miradore-0.1.3.gem
%{gem_instdir}/ruby-miradore-1.1.0.gem
%{gem_instdir}/ruby-miradore-1.1.1.gem
%{gem_instdir}/ruby-miradore-1.2.2.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ruby-miradore.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.3-1
- Initial package
